<?php

if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( '../init.php' );
}

include ( 'sessioninc.php' );

define( 'PAGE_ID', 'profie_approval' );

if ( !checkAdminPermission( PAGE_ID ) ) {

	header( 'location: not_authorize.php' );
	exit;
}

if ($_GET['act']=='delete') {

	$osDB->query('delete from ! where id = ?', array(FEATURED_PROFILES_TABLE, $_GET['id']) );

	$t->assign('errmsg', get_lang('feat_prof_deleted'));
}

$sort = findSortBy('username');

$t->assign('featured', $osDB->getAll('select fet.id, fet.userid, fet.start_date, fet.end_date, fet.must_show, fet.req_exposures, fet.exposures, usr.username, usr.firstname, usr.lastname, membr.name as level from ! as fet, ! as usr, ! as membr  where fet.userid = usr.id  and membr.roleid = usr.level order by ! ', array( FEATURED_PROFILES_TABLE, USER_TABLE, MEMBERSHIP_TABLE, $sort ) ) ) ;

$t->assign('lang',$lang);

$t->assign( 'sort_type', checkSortType( $_GET['type'] ) );

$t->assign('rendered_page', $t->fetch('admin/featured_profiles.tpl'));

$t->display('admin/index.tpl');

exit;
?>